---
title: Common
slug: asindataapi/product-data-api/parameters/common
docTags: 
createdAt: 2024-08-01T10:34:46.728Z
---

# Common Parameters

<font color="#52c41a">`GET`</font>  `/request`

The following parameters are used to configure your request to the Product Data API. They should be appended as querystring parameters to a  `GET` HTTP request to the  `/request`  endpoint.

For example, to request Prime offers, for the ASIN  `B07WJJF8PB`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.asindataapi.com/request?api_key=demo&type=offers&amazon_domain=amazon.com&asin=B07WJJF8PB&offers_prime=true
```

```curl
curl -L --get https://api.asindataapi.com/request \
-d api_key="demo" \
-d type="offers" \
-d amazon_domain="amazon.com" \ 
-d asin="B07WJJF8PB" \
-d offers_prime="true"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "offers",
  amazon_domain: "amazon.com",
  asin: "B07WJJF8PB",
  offers_prime: "true"
}

// make the http GET request to ASIN Data API
axios.get('https://api.asindataapi.com/request', { params })
  .then(response => {

    // print the JSON response from ASIN Data API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'offers',
  'amazon_domain': 'amazon.com',
  'asin': 'B07WJJF8PB',
  'offers_prime': 'true'
}

# make the http GET request to ASIN Data API
api_result = requests.get('https://api.asindataapi.com/request', params)

# print the JSON response from ASIN Data API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'offers',
  'amazon_domain' => 'amazon.com',
  'asin' => 'B07WJJF8PB',
  'offers_prime' => 'true'
]);

# make the http GET request to ASIN Data API
$ch = curl_init(sprintf('%s?%s', 'https://api.asindataapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from ASIN Data API
echo $api_result;

?>
```
:::

:::hint{type="info"}
**Request-Specific Parameters**
Additional parameters are available depending on the type of request being made (as-determined by the  `type`  parameter). For example, if you make a request with  `type=category`  then additional cartegory parameters, specific to  `type=category`  requests, are available.
:::

***

### Common Parameters

The following common parameters are required for all requests to the Product Data API.

| *`Parameter`*        | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| -------------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *`api_key`*          | <u>*`required`*</u> | The API key for your ASIN Data API account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`type`*             | <u>*`required`*</u> | The type of Amazon data to retrieve. The value of the `type` parameter determines which additional parameters are available. For example, if you make a request with `type=category` then additional category parameters[ ](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/reviews), specific to `category` requests, are available.  <br />Valid values for `type` are:<br />1. `product`<br />2. Request data from the product page for an `asin` or Amazon product page `url` . See additional [Product Parameters ](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/product).<br /><br />1. `search`<br />2. Request search results data for a given keywords on specific Amazon sites. See additional [Search Parameters ](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/search).<br /><br />1. `offers`<br />2. Request product offers for an `asin` or Amazon product page `url` . See additional [Offers Parameters ](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/offers).<br /><br />1. `category`<br />2. Request data for a given Amazon category. See additional [Category Parameters ](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/category). |
| *`include_html`*     | *`optional`*        | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding requests with `include_html=true` to a Collection the maximum number of requests is lower (100) because including the HTML within the response makes the Collection Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of requests all with `include_html=true` then simply split the requests across multiple 100-request Collections.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`output`*           | *`optional`*        | Determines the format in which results are returned. Can be set to `json` (default) to get the results as structured JSON, `html` to get the raw html retrieved or `csv` to return the results in CSV format. When using `csv` you can also use the `csv_fields` parameter to specify which fields to return in the CSV.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| *`csv_fields`*       | *`optional`*        | Determines the fields that are returned when returning in `csv` mode (i.e. when the `output` parameter is set to `csv` ). Should be specified as a comma seperated list of fields (in nested field, dot notation, format). For more information on the `csv_fields` parameter please see the [CSV Fields Reference ](https://docs.trajectdata.com/asindataapi/product-data-api/reference/csv-fields).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| *`skip_on_incident`* | *`optional`*        | Instructs the API to not serve requests when a parsing incident is detected. Valid values are `all` (where the API will not serve a response if a "degraded" or "major" parsing incident is live) and `major_only` (where the API will not serve a response is a "major" parsing incident is live, but will if a "degraded service" parsing incident is live).  <br />You can view service status via the [status page ](https://asindataapi.statuspage.io/).  <br />Using `skip_on_incident` can be desirable if your system is making unsupervised requests to the API that you would like to gracefully fail in the event of an incident.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| *`include_fields`*   | *`optional`*        | A comma-seperated list JSON field names to **include** in the JSON object the API returns. You can specify the field names in dot notation - i.e. `include_fields=pagination` will only include the the `pagination` property in the response JSON. Use `include_fields` if you only want to include specific fields in the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`exclude_fields`*   | *`optional`*        | A comma-seperated list of JSON field names to **exclude** from the JSON object the API returns. You can specify the field names in dot notation - i.e. `exclude_fields=pagination` will remove the `pagination` property from the response JSON. Use `exclude_fields` if there are specific fields you wish to exclude from the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

***

**Next Steps**
     [Product Parameters](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/product)
     [Search Parameters](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/search)
     [Offers Parameters](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/offers)
     [Category Parameters](https://docs.trajectdata.com/asindataapi/product-data-api/parameters/category)
